	IMPLICIT INTEGER(A-Z)
	DIMENSION ARAY(100),HEADER(2)
	TYPE 100
100	FORMAT(' TTY NUMBER?   '$)
	ACCEPT 101,IOINDX
101	FORMAT(O)
	IOINDX=IOINDX+"200000
	CALL INITF(IOINDX,IERR,ITYPE)
	IF(.NOT.IERR)GO TO 200
1	CALL RECVF(HEADER,2,IERR,ITYPE)
	IF (.NOT.IERR)GO TO 1
	IF (HEADER(2).EQ.0)GO TO 1
	CALL RECVF(ARAY,HEADER(2),IERR,ITYPE)
	IF (.NOT.IERR)GO TO 1
	CALL SENDF(ARAY,HEADER(2),IERR,ITYPE)
	GO TO 1
200	TYPE 110
	IF (ITYPE.EQ.1)TYPE 111
	IF (ITYPE.EQ.2)TYPE 112
	CALL EXIT
110	FORMAT(' TTY INITIALIZATION FAILURE')
111	FORMAT(' TTY NOT AVAILABLE')
112	FORMAT(' TTY NOT ASSIGNED')
	END
